Bug 9392 - Traceback in samba-tool fsmo --role=schema
Traceback in samba-tool fsmo --role=schema
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
4.0.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-11-14 15:00 UTC by Arvid Requate
Modified: 2012-11-16 10:18 UTC (History)
1 user (show)

See Also:


Attachments
Patch against master (1.53 KB, patch)
2012-11-14 15:00 UTC, Arvid Requate
no flags Details
Patch against master (actually fixing the code block in question...) (1.50 KB, patch)
2012-11-15 12:24 UTC, Arvid Requate
no flags Details
Patches cherry-picked from master for samba-tool fsmo fix (1.74 KB, patch)
2012-11-16 04:59 UTC, Andrew Bartlett
abartlet: review? (jelmer)
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate 2012-11-14 15:00:24 UTC
Traceback in samba-tool fsmo --role=schema :

ERROR(<type 'exceptions.TypeError'>): uncaught exception - argument 2 must be string, not ldb.Dn
  File "/usr/lib/python2.6/dist-packages/samba/netcmd/__init__.py", line 168, in _run
    return self.run(*args, **kwargs)
  File "/usr/lib/python2.6/dist-packages/samba/netcmd/fsmo.py", line 160, in run
    self.seize_role(role, samdb, force)
  File "/usr/lib/python2.6/dist-packages/samba/netcmd/fsmo.py", line 119, in seize_role
    m.dn = ldb.Dn(samdb, self.schema_dn)


Possibly introduced by commit 6b2753d71ea9e9a64fa749cfeeaef4f451c6cae4
Comment 1 Arvid Requate 2012-11-14 15:00:54 UTC
Created attachment 8191 [details]
Patch against master
Comment 2 Arvid Requate 2012-11-15 12:24:27 UTC
Created attachment 8204 [details]
Patch against master (actually fixing the code block in question...)
Comment 3 Andrew Bartlett 2012-11-15 21:33:47 UTC
Thanks.  I'll guide this into master and then cherry-pick for 4.0.
Comment 4 Andrew Bartlett 2012-11-16 04:59:06 UTC
Created attachment 8206 [details]
Patches cherry-picked from master for samba-tool fsmo fix

This is in master, replacing with patch with cherry-pick and review markers
Comment 5 Michael Adam 2012-11-16 08:06:01 UTC
Karolin, are Andrew's comments here enough as a second review+ ?
Comment 6 Karolin Seeger 2012-11-16 08:12:25 UTC
Pushed to autobuild-v4-0-test.
Comment 7 Karolin Seeger 2012-11-16 10:18:48 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!